    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------------
    028     * LookupDefinition.java
    029     * ---------------------
    030     * (C)opyright 2003-2005, by Thomas Morgner and Contributors.
    031     *
    032     * Original Author:  Thomas Morgner;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: LookupDefinition.java,v 1.3 2005/10/18 13:33:53 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 24-Sep-2003 : Initial version
    040     *
    041     */
    042
    043    package org.jfree.xml.util;
    044
    045    /**
    046     * A lookup definition.
    047     */
    048    public class LookupDefinition {
    049
    050        /** The property name. */
    051        private String propertyName;
    052
    053        /** The registry key. */
    054        private String registryKey;
    055
    056        /**
    057         * Creates a new lookup definition.
    058         *
    059         * @param propertyName  the property name.
    060         * @param registryKey  the registry key.
    061         */
    062        public LookupDefinition(final String propertyName, final String registryKey) {
    063            this.propertyName = propertyName;
    064            this.registryKey = registryKey;
    065        }
    066
    067        /**
    068         * Returns the property name.
    069         *
    070         * @return the property name.
    071         */
    072        public String getPropertyName() {
    073            return this.propertyName;
    074        }
    075
    076        /**
    077         * Returns the registry key.
    078         *
    079         * @return the registry key.
    080         */
    081        public String getRegistryKey() {
    082            return this.registryKey;
    083        }
    084
    085    }